Bug 1240061 - tcplay: FTBFS in rawhide
Summary: tcplay: FTBFS in rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tcplay
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1256862 1256871
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:26 UTC by Dennis Gilmore
Modified: 2015-09-04 03:24 UTC (History)
2 users (show)

Fixed In Version: 2.0-7.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-04 03:24:07 UTC


Attachments (Terms of Use)
build.log (54.01 KB, text/plain)
2015-07-05 21:27 UTC, Dennis Gilmore
no flags Details
root.log (75.32 KB, text/plain)
2015-07-05 21:27 UTC, Dennis Gilmore
no flags Details
state.log (609 bytes, text/plain)
2015-07-05 21:27 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2015-07-05 21:26:59 UTC
Your package tcplay failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10157402

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:27:00 UTC
Created attachment 1048498 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:27:00 UTC
Created attachment 1048499 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:27:01 UTC
Created attachment 1048500 [details]
state.log

Comment 4 Jan Kurik 2015-07-15 13:23:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Ralf Corsepius 2015-08-25 15:53:58 UTC
This FTBFS seems to be caused by at least 3 bugs interacting.

2 issues with devmapper.pc and at least one with tcplay itself.

Comment 6 Ralf Corsepius 2015-08-27 10:11:49 UTC
The devmapper issues seem to be fixed - Taking.

The issue with tcplay is it is playing tricks with CFLAGS. I.e it is not honoring CFLAGS correctly and overrides them.

Comment 7 Fedora Update System 2015-08-27 10:36:53 UTC
tcplay-2.0-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14401

Comment 8 Fedora Update System 2015-08-31 18:52:57 UTC
tcplay-2.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update tcplay'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14401

Comment 9 Fedora Update System 2015-09-04 03:24:06 UTC
tcplay-2.0-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.